#
# spec file for package ipmitool (Version 1.8.11)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libopenssl-devel libopenssl0_9_8 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses ncurses-devel net-tools netcfg openssl-certs pam pam-modules patch perl perl-base permissions popt readline-devel rpm sed sysvinit tar texinfo timezone util-linux zlib zlib-devel

Name:           ipmitool
BuildRequires:  openssl-devel readline-devel
Url:            http://ipmitool.sourceforge.net/
Summary:        Utility for IPMI Control
Version:        1.8.11
Release:        1.2
License:        BSD 3-Clause
Group:          System/Management
Source:         http://heanet.dl.sourceforge.net/sourceforge/%{name}/%{name}_%{version}.orig.tar.gz
Patch1:		ipmitool_%{version}-1.diff.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains a utility for interfacing with devices that
support the Intelligent Platform Management Interface specification. 
IPMI is an open standard for machine health, inventory, and remote
power control.

This utility can communicate with IPMI-enabled devices through either a
kernel driver such as OpenIPMI or over the RMCP LAN protocol defined in
the IPMI specification.  IPMIv2 adds support for encrypted LAN
communications and remote Serial-over-LAN functionality.

It provides commands for reading the Sensor Data Repository (SDR) and
displaying sensor values, displaying the contents of the System Event
Log (SEL), printing Field Replaceable Unit (FRU) information, reading
and setting LAN configuration, and chassis power control.



%debug_package
%prep
%setup
zcat %{P:1} | patch -p1
for patch in `cat debian/patches/00list` ; do
patch -p1 < debian/patches/${patch}
done

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--sbindir=%{_sbindir} \
	--datadir=%{_datadir} \
	--includedir=%{_includedir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir} \
	--sysconfdir=%{_sysconfdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/ipmitool

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README contrib
%{_bindir}/*
%{_sbindir}/*
%dir %{_datadir}/ipmitool
%{_datadir}/ipmitool/oem_ibm_sel_map
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*

%changelog
* Thu Jul 16 2009 Carsten Schoene <cs@linux-administrator.com> - 1.8.11-1
- update to release 1.8.11

* Wed Mar 23 2008 Carsten Schoene <cs@linux-administrator.com>
- added debian patches (lenny backport)

* Thu Mar 08 2007 - duwe@suse.de
- add new compile fixes
* Wed Mar 07 2007 - duwe@suse.de
- update to 1.8.9, fixing ipmievd crashing.
  This was requesten in Bug#246456
* Fri Oct 13 2006 - duwe@suse.de
- update to today's CVS state
  * might fix SoL issues (Fate #30911)
* Tue Oct 10 2006 - duwe@suse.de
- update to 1.8.8 mainly various fixes:
  version 1.8.8
  * Fix segfaults in sensor data repository list
  * Fix ipmievd to open interface before daemonizing
  * Fix IPMIv1.5 authtype NONE to ignore supplied password
  * Fix cipher suite display bug in lan print
  * Fix typo in IPMIv2 SOL output when sending break
  * Fix improper LUN handling with Tyan SOL
  * Add LUN support to OpenIPMI interface
  * Add support for Kontron OEM commands
  * Update to Kontron Firmware Update command
  version 1.8.7
  * Remove nuclear clause from license
  * Add Sun OEM command for blades
  * Increase argument size for raw commands in shell/exec
  * Fix handling of LUNs for LAN interfaces
  * Add IPMIv2 SOL loopback test
  * Add support for IBM OEM SEL messages
  * Disable file paranoia checks on read files by default
  * Support IPMIv2 SOL on older Intel boxes
  * Display message and exit if keepalive fails during SOL
  * Add support for setting VLAN id and priority
  * Add support for FreeBSD OpenIPMI-compatible driver
  * Add support for IPMIv2 Firmware Firewall
  * Fix gcc4 compile warnings
  * Make ipmievd generate pidfile
  * Add initscripts for ipmievd
* Mon May 29 2006 - kukuk@suse.de
- Fix type conversion bug in ipmi_pef.c [#173658]
* Fri May 26 2006 - schwab@suse.de
- Add readline-devel to BuildRequires to enable shell command.
- Fix use of channel_info bitfield.
- Fix byte swapping.
* Mon Feb 13 2006 - kukuk@suse.de
- Update to ipmitool 1.8.6 [#134708,#131823]
  - Fix memory corruption when sending encrypted SOL traffic
  - Add keepalive timer to IPMIv2 SOL sessions
  - Raise privilege level after creating IPMIv2 session
  - Add support for settable SOL escape character with -e option
  - Add support for Kg BMC key for IPMIv2 authentication with -k option
  - Add support for Tyan IPMIv1.5 SOL with tsol command
  - Add support for PICMG devices
  - Add support for OEM SEL event parsing
  - Add support for command bridging over lan and lanplus interfaces
  - New 'chassis selftest' command
  - Many bufxies and patches from contributors
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - schwab@suse.de
- Don't strip binaries.
* Mon Sep 19 2005 - kukuk@suse.de
- Fix missing return value
* Thu Aug 04 2005 - kukuk@suse.de
- Initial release (FeatureID #165)
